export declare const CODE_SNIPPET_NAMESPACE = "code-snippets";
export interface ICodeSnippet {
    name: string;
    displayName: string;
    description: string;
    language: string;
    code: string[];
}
export declare class CodeSnippetService {
    static findAll(): Promise<ICodeSnippet[]>;
    static findByLanguage(language: string): Promise<ICodeSnippet[]>;
    /**
     * Opens a dialog to confirm that the given code snippet
     * should be deleted, then sends a delete request to the metadata server.
     *
     * @param codeSnippet: code snippet to be deleted
     *
     * @returns A boolean promise that is true if the dialog confirmed
     * the deletion, and false if the deletion was cancelled.
     */
    static deleteCodeSnippet(codeSnippet: ICodeSnippet): Promise<boolean>;
}
